<template>
    <div>
        <div v-if="pokemon" class="poke-info">
            <img v-if="pokemon.sprites" :src="pokemon.sprites.front_default" alt="poke_pic">
            <div class="pokemon-resume">
                <p><b>Nom :</b>  {{ pokemon.name }}</p>
                <div class="type">
                    <b>Types :</b>
                    <div v-for="type in pokemon.types" :key="type">
                        {{ type.type.name }}
                    </div>
                </div>
                <div>
                    <b>Capacité spéciale :</b>
                    <div v-for="ability in pokemon.abilities" :key="ability">
                        {{ ability.ability.name }}
                    </div>
                </div>
                <p><b>Poids : </b>{{ pokemon.weight }}</p>
                <!-- <div class="btn-add">Ajouter à mon équipe !</div> -->
            </div>
        </div>
    </div>    
</template>

<script>
export default {
    data() {
        return {
            pokemon: []
        }
    },
    mounted() {
        fetch(process.env.VUE_APP_API_URL + 'pokemon/' + this.$route.params.id)
        .then(res => {
            if(res.status === 200) {
                res.json().then(data => {
                    this.pokemon = data;
                    console.log(this.pokemon)
                })
            }
        })
    }
}
</script>

<style scoped>
    .poke-info {
        display: flex;
        flex-wrap: wrap;
        padding: 20px 35px 20px 20px;
        align-items: center;
        background-color: #EAF2EF;
        color: black;
        box-shadow: 1px 5px 36px -7px #000000
    }

    .poke-info img {
        margin-right: 10px;
    }

    .pokemon-resume {
        display: flex;
        flex-direction: column;
    }

    p { margin: 0; }

    .pokemon-resume p, .pokemon-resume div {
        margin: 10px 0;
    }

    .btn-add {
        padding: 20px;
        border-radius: 40px;
        background-color: #912F56;
        color: white;
        cursor: pointer;
    }
</style>